Page MenuHomePhabricator

Hard deprecate Revision::getVisibility
Closed, ResolvedPublic

Description

All remaining deployed uses outside of core are in MobileFrontend

  • Remove MobileFrontend uses
  • Replace core uses
  • Hard deprecate

https://codesearch.wmflabs.org/deployed/?q=-%3EgetVisibility%5C(%5C)&i=nope&files=&repos=

Event Timeline

DannyS712 triaged this task as Medium priority.Apr 20 2020, 4:11 PM
DannyS712 created this task.
DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.
DannyS712 updated the task description. (Show Details)

Change 592513 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Add ContribsPager::tryCreatingRevisionRecord

https://gerrit.wikimedia.org/r/592513

DannyS712 moved this task from Next to In progress on the User-DannyS712 board.Apr 27 2020, 7:13 AM

Change 592513 merged by jenkins-bot:
[mediawiki/core@master] Add ContribsPager::tryCreatingRevisionRecord

https://gerrit.wikimedia.org/r/592513

Change 591201 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/MobileFrontend@master] Remove use of InlineDifferenceEngine Revision variables

https://gerrit.wikimedia.org/r/591201

Change 593620 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Replace uses and hard deprecate Revision::getVisibility

https://gerrit.wikimedia.org/r/593620

Change 593620 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Replace uses and hard deprecate Revision::getVisibility

https://gerrit.wikimedia.org/r/593620

A lot of uses remaining including some addressed by other pending patches - patch now just cleans up a bunch of different places Revision is still used

Change 591201 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Remove use of InlineDifferenceEngine Revision variables

https://gerrit.wikimedia.org/r/591201

DannyS712 updated the task description. (Show Details)May 1 2020, 5:05 AM

Change 593272 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Remove DifferenceEngine::$mNewRev and $mOldRev

https://gerrit.wikimedia.org/r/593272

Current uses in core, excluding tests

Change 593620 merged by jenkins-bot:
[mediawiki/core@master] Replace various uses of Revision objects

https://gerrit.wikimedia.org/r/593620

Change 593826 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Replace Article::$mRevision with RevisionRecord

https://gerrit.wikimedia.org/r/593826

Change 593826 merged by jenkins-bot:
[mediawiki/core@master] Replace Article::$mRevision with RevisionRecord

https://gerrit.wikimedia.org/r/593826

Change 593272 merged by jenkins-bot:
[mediawiki/core@master] Remove DifferenceEngine::$mNewRev and $mOldRev

https://gerrit.wikimedia.org/r/593272

Change 599135 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Hard deprecate Revision::getParentId and ::getVisibility

https://gerrit.wikimedia.org/r/599135

DannyS712 updated the task description. (Show Details)

Change 599135 merged by jenkins-bot:
[mediawiki/core@master] Hard deprecate Revision::getParentId and ::getVisibility

https://gerrit.wikimedia.org/r/599135

DannyS712 closed this task as Resolved.May 28 2020, 2:32 AM